/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * @author Going Dot Com Inc.
 */
class XbLinkbaseArcObj {
    // アーク ID
    private long arc_id;
    // LinkBaseRef ID
    private long linkbaseref_id;
    // show属性
    private String arc_show;
    // title属性
    private String arc_title;
    // from属性
    private String arc_from;
    // to属性
    private String arc_to;
    // arcrole属性
    private String arc_arcrole;
    // use属性
    private String arc_use;
    // priority属性
    private long arc_priority;
    // weigh属性
    private double calculation_weight;
    // order属性
    private double presentation_order;
    
    /**
     * @return arc_arcrole
     */
    public String getArc_arcrole() {
        return arc_arcrole;
    }
    /**
     * @param arc_arcrole 設定する arc_arcrole
     */
    public void setArc_arcrole(String arc_arcrole) {
        this.arc_arcrole = arc_arcrole;
    }
    /**
     * @return arc_from
     */
    public String getArc_from() {
        return arc_from;
    }
    /**
     * @param arc_from 設定する arc_from
     */
    public void setArc_from(String arc_from) {
        this.arc_from = arc_from;
    }
    /**
     * @return arc_id
     */
    public long getArc_id() {
        return arc_id;
    }
    /**
     * @param arc_id 設定する arc_id
     */
    public void setArc_id(long arc_id) {
        this.arc_id = arc_id;
    }
    /**
     * @return arc_priority
     */
    public long getArc_priority() {
        return arc_priority;
    }
    /**
     * @param arc_priority 設定する arc_priority
     */
    public void setArc_priority(long arc_priority) {
        this.arc_priority = arc_priority;
    }
    /**
     * @return arc_show
     */
    public String getArc_show() {
        return arc_show;
    }
    /**
     * @param arc_show 設定する arc_show
     */
    public void setArc_show(String arc_show) {
        this.arc_show = arc_show;
    }
    /**
     * @return arc_title
     */
    public String getArc_title() {
        return arc_title;
    }
    /**
     * @param arc_title 設定する arc_title
     */
    public void setArc_title(String arc_title) {
        this.arc_title = arc_title;
    }
    /**
     * @return arc_to
     */
    public String getArc_to() {
        return arc_to;
    }
    /**
     * @param arc_to 設定する arc_to
     */
    public void setArc_to(String arc_to) {
        this.arc_to = arc_to;
    }
    /**
     * @return arc_use
     */
    public String getArc_use() {
        return arc_use;
    }
    /**
     * @param arc_use 設定する arc_use
     */
    public void setArc_use(String arc_use) {
        this.arc_use = arc_use;
    }
    /**
     * @return calculation_weight
     */
    public double getCalculation_weight() {
        return calculation_weight;
    }
    /**
     * @param calculation_weight 設定する calculation_weight
     */
    public void setCalculation_weight(double calculation_weight) {
        this.calculation_weight = calculation_weight;
    }
    /**
     * @return linkbaseref_id
     */
    public long getLinkbaseref_id() {
        return linkbaseref_id;
    }
    /**
     * @param linkbaseref_id 設定する linkbaseref_id
     */
    public void setLinkbaseref_id(long linkbaseref_id) {
        this.linkbaseref_id = linkbaseref_id;
    }
    /**
     * @return presentation_order
     */
    public double getPresentation_order() {
        return presentation_order;
    }
    /**
     * @param presentation_order 設定する presentation_order
     */
    public void setPresentation_order(double presentation_order) {
        this.presentation_order = presentation_order;
    }

}
